package cn.iocoder.yudao.module.order.vo.order;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
@ApiModel("管理后台 - pda入仓查询 VO")
public class PdaOrderQueryVo {

    @ApiModelProperty(value = "订单编号")
    private String orderNo;

    @ApiModelProperty(value = "始发仓ID串，eg: 1,2,3")
    private String pdaStartWareIds;

    @ApiModelProperty(value = "目的仓ID串，eg: 1,2,3")
    private String pdaDestWareIds;

    @ApiModelProperty(value = "调仓始发仓ID串，eg: 1,2,3")
    private String pdaAdjustStartWareIds;

    @ApiModelProperty(value = "调仓目的仓ID串，eg: 1,2,3")
    private String pdaAdjustDestWareIds;

    @ApiModelProperty(value = "订单状态详情见字典：order_status")
    private Integer status;

    @ApiModelProperty(value = "特需类型")
    private String packageType;

    @ApiModelProperty(value = "订单状态详情见字典：order_status, 多个 eg:1,2,3")
    private List<Integer> statusList;

    @ApiModelProperty(value = "排除的订单状态详情见字典：order_status, 多个 eg:1,2,3")
    private List<Integer> excludeStatusList;

    @ApiModelProperty(value = "订单入仓子状态详情见字典：order_warehouse_in_status")
    private Integer warehouseInStatus;

    @ApiModelProperty(value = "运输方式id")
    private List<Integer> transportIdList;
    
    @ApiModelProperty(value = "语言")
    private Integer lang;
}
