package cn.iocoder.yudao.module.order.vo.orderException;

import cn.iocoder.yudao.framework.excel.annotations.DictFormat;
import cn.iocoder.yudao.framework.excel.convert.DictConvert;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.util.Date;

@Data
@ApiModel("管理后台 - 异常订单导出EXCEL")
public class OrderExceptionExcelVO {
    @ExcelProperty("第一批货物入仓日期")
    private Date houseDate;

    @ExcelProperty("唛头")
    private String markNo;

    @ExcelProperty("货名")
    private String goodsName;

    @ExcelProperty("英文货名")
    private String goodsNameEn;

    @ExcelProperty("实际入仓件数")
    private String boxNum;

    @ExcelProperty("收费方数")
    private String volume;

    @ExcelProperty("仓库实测重量")
    private String weight;

    @ExcelProperty("始发仓")
    private String startHouse;

    @ExcelProperty("系统单号")
    private String number;

    @ExcelProperty("发货人电话")
    private String consignorPhone;

    @ExcelProperty("收货人电话")
    private String consigneePhone;

    @ExcelProperty("网点")
    private String dest;

    @ExcelProperty(value = "异常类型", converter = DictConvert.class)
    @DictFormat("order_error_type")
    private String exceptionType;

    @ExcelProperty(value = "异常描述")
    private String exceptionRemark;

    @ExcelProperty("是否控货")
    private String isControl;

    @ExcelProperty("货值")
    private String worth;

    @ExcelProperty("跟进客户经理")
    private String serviceName;

    //private Boolean moreException;
}
